#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES games.dat hi_level.dat hi_plws.dat hi_plwv.dat hi_wad.dat
  DESTINATION ${DATA_INSTALL_DIR}/kgoldrunner/system
)

# To not to list all files in add_custom_command do all the preparation on
# configuration stage
execute_process( COMMAND
  tar -xf "${CMAKE_CURRENT_SOURCE_DIR}/levels.tar" -C ${CMAKE_CURRENT_BINARY_DIR}
)

install( DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/levels
  DESTINATION ${DATA_INSTALL_DIR}/kgoldrunner/system )

